Package com.independentsoft.office.drawing

# Class DrawingEnumUtil

java.lang.Object
com.independentsoft.office.drawing.DrawingEnumUtil

public class DrawingEnumUtil extends Object
The Class DrawingEnumUtil.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `parseBlackWhiteMode​(BlackWhiteMode mode)`
  Parses the black white mode.
  `static BlackWhiteMode`
  `parseBlackWhiteMode​(String mode)`
  Parses the black white mode.
  `static boolean`
  `parseBoolean​(String booleanString)`
  Parses the boolean.
  `static String`
  `parsePresetMaterialType​(PresetMaterialType type)`
  Parses the preset material type.
  `static PresetMaterialType`
  `parsePresetMaterialType​(String type)`
  Parses the preset material type.
  `static String`
  `parseTextAnchoringType​(TextAnchoringType type)`
  Parses the text anchoring type.
  `static TextAnchoringType`
  `parseTextAnchoringType​(String type)`
  Parses the text anchoring type.
  `static String`
  `parseTextHorizontalOverflowType​(TextHorizontalOverflowType type)`
  Parses the text horizontal overflow type.
  `static TextHorizontalOverflowType`
  `parseTextHorizontalOverflowType​(String type)`
  Parses the text horizontal overflow type.
  `static String`
  `parseThemeColorReference​(ThemeColorReference reference)`
  Parses the theme color reference.
  `static ThemeColorReference`
  `parseThemeColorReference​(String reference)`
  Parses the theme color reference.
  `static String`
  `parseVerticalTextType​(VerticalTextType type)`
  Parses the vertical text type.
  `static VerticalTextType`
  `parseVerticalTextType​(String type)`
  Parses the vertical text type.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### parseBoolean

    public static boolean parseBoolean​(String booleanString)
    Parses the boolean.
    Parameters:
      `booleanString` - the boolean string
    Returns:
      true, if successful

  - ### parseThemeColorReference

    public static ThemeColorReference parseThemeColorReference​(String reference)
    Parses the theme color reference.
    Parameters:
      `reference` - the reference
    Returns:
      the theme color reference

  - ### parseThemeColorReference

    public static String parseThemeColorReference​(ThemeColorReference reference)
    Parses the theme color reference.
    Parameters:
      `reference` - the reference
    Returns:
      the string

  - ### parseBlackWhiteMode

    public static BlackWhiteMode parseBlackWhiteMode​(String mode)
    Parses the black white mode.
    Parameters:
      `mode` - the mode
    Returns:
      the black white mode

  - ### parseBlackWhiteMode

    public static String parseBlackWhiteMode​(BlackWhiteMode mode)
    Parses the black white mode.
    Parameters:
      `mode` - the mode
    Returns:
      the string

  - ### parsePresetMaterialType

    public static PresetMaterialType parsePresetMaterialType​(String type)
    Parses the preset material type.
    Parameters:
      `type` - the type
    Returns:
      the preset material type

  - ### parsePresetMaterialType

    public static String parsePresetMaterialType​(PresetMaterialType type)
    Parses the preset material type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseTextHorizontalOverflowType

    public static TextHorizontalOverflowType parseTextHorizontalOverflowType​(String type)
    Parses the text horizontal overflow type.
    Parameters:
      `type` - the type
    Returns:
      the text horizontal overflow type

  - ### parseTextHorizontalOverflowType

    public static String parseTextHorizontalOverflowType​(TextHorizontalOverflowType type)
    Parses the text horizontal overflow type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseVerticalTextType

    public static VerticalTextType parseVerticalTextType​(String type)
    Parses the vertical text type.
    Parameters:
      `type` - the type
    Returns:
      the vertical text type

  - ### parseVerticalTextType

    public static String parseVerticalTextType​(VerticalTextType type)
    Parses the vertical text type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseTextAnchoringType

    public static TextAnchoringType parseTextAnchoringType​(String type)
    Parses the text anchoring type.
    Parameters:
      `type` - the type
    Returns:
      the text anchoring type

  - ### parseTextAnchoringType

    public static String parseTextAnchoringType​(TextAnchoringType type)
    Parses the text anchoring type.
    Parameters:
      `type` - the type
    Returns:
      the string